flash_internal.c File Reference

library to read/write internal flash (code) More...

Go to the source code of this file.

## Functions

bool | flash_internal_read (uint32_t address, uint8_t *buffer, size_t size)
| read data from internal flash More...
bool | flash_internal_write (uint32_t address, uint8_t *buffer, size_t size)
| write data to internal flash More...

## Detailed Description

library to read/write internal flash (code)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2016

Note
  peripherals used: none

Definition in file flash_internal.c.

## Function Documentation

## flash_internal_read()

bool flash_internal_read | ( | uint32_t | address,
|  | uint8_t * | buffer,
|  | size_t | size
| ) |  |

read data from internal flash

Parameters

  [in] | address | start address of the data to read
  [out] | buffer | where to store the read data
  [in] | size | how much data to read, in bytes

Returns
  if read succeeded

Definition at line 33 of file flash_internal.c.

## flash_internal_write()

bool flash_internal_write | ( | uint32_t | address,
|  | uint8_t * | buffer,
|  | size_t | size
| ) |  |

write data to internal flash

Parameters

  [in] | address | start address where to write data to
  [in] | buffer | data to be written
  [in] | size | how much data to write, in bytes

Returns
  if write succeeded

Definition at line 58 of file flash_internal.c.